Bug 1189006 - [ALL LANG][RHSM GUI/Firstboot] Missing translation for button txt 'Save' in Proxy Configuration dialog.
Summary: [ALL LANG][RHSM GUI/Firstboot] Missing translation for button txt 'Save' in P...
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager   
(Show other bugs)
Version: 7.1
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: John Sefler
QA Contact: John Sefler
URL:
Whiteboard:
Keywords: Translation
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-04 08:05 UTC by Lijun Li
Modified: 2018-08-23 21:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
The "Save" button in the Proxy Configuration dialog is available only in English. When Proxy Configuration is displayed in a different language, the "Save" button is always rendered in English.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[ALL LANG][RHSM GUI] Missing translation for button txt 'Save' in Proxy Configuration dialog (33.79 KB, image/png)
2015-02-04 08:08 UTC, Lijun Li
no flags Details
the Proxy Configuration dialog "Save" button is now translated (97.62 KB, image/png)
2015-09-18 22:40 UTC, John Sefler
no flags Details

Description Lijun Li 2015-02-04 08:05:20 UTC
Description of problem:
[ALL LANG][RHSM GUI] Missing translation for button txt 'Save' in Proxy Configuration dialog.

Version-Release number of selected component (if applicable):
subscription-manager-1.13.19-1.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Run rhsm gui.
2. Click on Menu (System --> Configure Proxy).

Actual results:
[ALL LANG][RHSM GUI] Missing translation for button txt 'Save' in Proxy Configuration dialog.

Expected results:
'Save' should be localized.

Additional info:
Please see the attached screen-shot.

Comment 2 Lijun Li 2015-02-04 08:08:35 UTC
Created attachment 987976 [details]
[ALL LANG][RHSM GUI] Missing translation for button txt 'Save' in Proxy Configuration dialog

Comment 3 Lijun Li 2015-02-04 08:09:41 UTC
# for f in `rpm -ql subscription-manager | grep rhsm.mo`; do echo ""; echo "$f"; msgunfmt $f | grep "Save" -A1; done;

/usr/share/locale/as/LC_MESSAGES/rhsm.mo

/usr/share/locale/bn_IN/LC_MESSAGES/rhsm.mo

/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo

/usr/share/locale/es_ES/LC_MESSAGES/rhsm.mo

/usr/share/locale/fr/LC_MESSAGES/rhsm.mo

/usr/share/locale/gu/LC_MESSAGES/rhsm.mo

/usr/share/locale/hi/LC_MESSAGES/rhsm.mo

/usr/share/locale/it/LC_MESSAGES/rhsm.mo

/usr/share/locale/ja/LC_MESSAGES/rhsm.mo

/usr/share/locale/kn/LC_MESSAGES/rhsm.mo

/usr/share/locale/ko/LC_MESSAGES/rhsm.mo

/usr/share/locale/ml/LC_MESSAGES/rhsm.mo

/usr/share/locale/mr/LC_MESSAGES/rhsm.mo

/usr/share/locale/or/LC_MESSAGES/rhsm.mo

/usr/share/locale/pa/LC_MESSAGES/rhsm.mo

/usr/share/locale/pt_BR/LC_MESSAGES/rhsm.mo

/usr/share/locale/ru/LC_MESSAGES/rhsm.mo

/usr/share/locale/ta_IN/LC_MESSAGES/rhsm.mo

/usr/share/locale/te/LC_MESSAGES/rhsm.mo

/usr/share/locale/zh_CN/LC_MESSAGES/rhsm.mo

/usr/share/locale/zh_TW/LC_MESSAGES/rhsm.mo

msgid 'Save' should be found.

Comment 4 John Sefler 2015-02-04 16:45:40 UTC
This bug is a consequence of the fix for bug 1070585 which introduced a new "Save" string.  Unfortunately this fix occurred after the string freeze date of 2014-11-25 for RHEL7.1.

Reference https://bugzilla.redhat.com/show_bug.cgi?id=1070585#c9

Comment 9 John Sefler 2015-09-18 22:40:27 UTC
Created attachment 1075089 [details]
the Proxy Configuration dialog "Save" button is now translated

Verifying Version....
[root@jsefler-7 ~]# rpm -q subscription-manager-gui
subscription-manager-gui-1.15.9-10.el7.x86_64

[root@jsefler-7 ~]# for f in `rpm -ql subscription-manager | grep rhsm.mo`; do echo ""; echo "$f"; msgunfmt $f | grep "Save" -A1; done;

/usr/share/locale/as/LC_MESSAGES/rhsm.mo

/usr/share/locale/bn_IN/LC_MESSAGES/rhsm.mo

/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo
msgid "Save Button"
msgstr "Speichern-Schaltfläche"
--
msgid "_Save"
msgstr "_Speichern"

/usr/share/locale/es_ES/LC_MESSAGES/rhsm.mo
msgid "Save Button"
msgstr "Botón Guardar"
--
msgid "_Save"
msgstr "_Guardar"

/usr/share/locale/fr/LC_MESSAGES/rhsm.mo
msgid "Save Button"
msgstr "Bouton enregistrer"
--
msgid "_Save"
msgstr "_Enregistrer"

/usr/share/locale/gu/LC_MESSAGES/rhsm.mo

/usr/share/locale/hi/LC_MESSAGES/rhsm.mo

/usr/share/locale/it/LC_MESSAGES/rhsm.mo
msgid "Save Button"
msgstr "Pulsante Salva"
--
msgid "_Save"
msgstr "_Salva"

/usr/share/locale/ja/LC_MESSAGES/rhsm.mo
msgid "Save Button"
msgstr "保存ボタン"
--
msgid "_Save"
msgstr "保存 (_S)"

/usr/share/locale/kn/LC_MESSAGES/rhsm.mo

/usr/share/locale/ko/LC_MESSAGES/rhsm.mo
msgid "Save Button"
msgstr "저장 버튼"
--
msgid "_Save"
msgstr "저장 (_S)"

/usr/share/locale/ml/LC_MESSAGES/rhsm.mo

/usr/share/locale/mr/LC_MESSAGES/rhsm.mo

/usr/share/locale/or/LC_MESSAGES/rhsm.mo

/usr/share/locale/pa/LC_MESSAGES/rhsm.mo

/usr/share/locale/pt_BR/LC_MESSAGES/rhsm.mo
msgid "Save Button"
msgstr "Botão Salvar"
--
msgid "_Save"
msgstr "_Salvar"

/usr/share/locale/ru/LC_MESSAGES/rhsm.mo
msgid "Save Button"
msgstr "Кнопка сохранения"
--
msgid "_Save"
msgstr "_Сохранить"

/usr/share/locale/ta_IN/LC_MESSAGES/rhsm.mo

/usr/share/locale/te/LC_MESSAGES/rhsm.mo

/usr/share/locale/zh_CN/LC_MESSAGES/rhsm.mo
msgid "Save Button"
msgstr "保存按钮"
--
msgid "_Save"
msgstr "保存(_S)"

/usr/share/locale/zh_TW/LC_MESSAGES/rhsm.mo
msgid "Save Button"
msgstr "儲存按鈕"
--
msgid "_Save"
msgstr "儲存(_S)"
[root@jsefler-7 ~]# 



VERIFIED: The "_Save" button text is now translated in the 10 supported languages.


Note You need to log in before you can comment on or make changes to this bug.